org.apache.cassandra.io.compress

## Class DeflateCompressor

- java.lang.Object
- - org.apache.cassandra.io.compress.DeflateCompressor

All Implemented Interfaces:
  ICompressor

    public class DeflateCompressor
    extends java.lang.Object
    implements ICompressor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.io.compress.ICompressor

`ICompressor.WrappedArray`

### Field Summary

Fields
`static DeflateCompressor` `instance`

### Method Summary

Methods
`int` `compress(byte[] input, int inputOffset, int inputLength, ICompressor.WrappedArray output, int outputOffset)`
`static DeflateCompressor` `create(java.util.Map<java.lang.String,java.lang.String> compressionOptions)`
`int` `initialCompressedBufferLength(int chunkLength)`
`java.util.Set<java.lang.String>` `supportedOptions()`
`int` `uncompress(byte[] input, int inputOffset, int inputLength, byte[] output, int outputOffset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final DeflateCompressor instance

### Method Detail

#### create

    public static DeflateCompressor create(java.util.Map<java.lang.String,java.lang.String> compressionOptions)

#### supportedOptions

    public java.util.Set<java.lang.String> supportedOptions()

Specified by:
  `supportedOptions` in interface `ICompressor`

#### initialCompressedBufferLength

    public int initialCompressedBufferLength(int chunkLength)

Specified by:
  `initialCompressedBufferLength` in interface `ICompressor`

#### compress

    public int compress(byte[] input,
               int inputOffset,
               int inputLength,
               ICompressor.WrappedArray output,
               int outputOffset)

Specified by:
  `compress` in interface `ICompressor`

#### uncompress

    public int uncompress(byte[] input,
                 int inputOffset,
                 int inputLength,
                 byte[] output,
                 int outputOffset)
                   throws java.io.IOException

Specified by:
  `uncompress` in interface `ICompressor`
Throws:
  `java.io.IOException`